summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLoic Guegan <loic.guegan@mailbox.org>2024-02-07 16:33:20 +0100
committerLoic Guegan <loic.guegan@mailbox.org>2024-02-07 16:33:20 +0100
commit69cd9b300b974cebce052f41e4f0269acecf3a42 (patch)
tree70202e4640a105150a80d1b5e6b8af22938cab3e
parentd27e0e652be350812db28b67400cda055eea8dbd (diff)
Debug clusterman monitoring
-rw-r--r--.clusterman_onoff.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/.clusterman_onoff.sh b/.clusterman_onoff.sh
index 2f951d8..75f40dc 100644
--- a/.clusterman_onoff.sh
+++ b/.clusterman_onoff.sh
@@ -19,6 +19,7 @@ for value in "${nodes[@]}"; do
node=$(echo "$value"|cut -d "/" -f 1)
ina260=$(echo "$value"|cut -d "/" -f 2)
ip=$(clusterman node list -g $node)
+ [ $? -ne 0 ] && { echo "$ip"; exit 1; }
[ "$1" == "off" ] && ssh testbed@${ip} touch ina260-zmq-publisher/publisher_${ina260}_break
[ "$1" == "on" ] && ssh testbed@${ip} rm -f ina260-zmq-publisher/publisher_${ina260}_break
done